# Uses of Enum Class
org.kapott.hbci.dialog.KnownTANProcess

Packages that use KnownTANProcess
Package
Description
org.kapott.hbci.dialog
org.kapott.hbci.GV
Dieses Package enthält alle Klassen zur internen Repräsentation von (Highlevel-)Jobs.

## Uses of KnownTANProcess in org.kapott.hbci.dialog

Methods in org.kapott.hbci.dialog that return KnownTANProcess
Modifier and Type
Method
Description
`static KnownTANProcess`
KnownTANProcess.`get(KnownTANProcess.Variant v, int step)`
Ermittelt den passenden TAN-Prozess fuer die Variante und die Schritt-Nummer.
`static KnownTANProcess`
KnownTANProcess.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static KnownTANProcess[]`
KnownTANProcess.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of KnownTANProcess in org.kapott.hbci.GV

Methods in org.kapott.hbci.GV with parameters of type KnownTANProcess
Modifier and Type
Method
Description
`void`
GVTAN2Step.`setProcess(KnownTANProcess p)`
Speichert den Prozess-Schritt des HKTAN.